org.bdgenomics.adam.rdd.read.recalibration

# RecalibrationTable

###
Related Docs: object RecalibrationTable | package recalibration

#### class RecalibrationTable extends (DecadentRead) ⇒ Seq[QualityScore] with Serializable

Linear Supertypes
Serializable, Serializable, (DecadentRead) ⇒ Seq[QualityScore], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RecalibrationTable
2. Serializable
3. Serializable
4. Function1
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new RecalibrationTable(covariates: CovariateSpace, globalTable: Map[String, (Aggregate, QualityTable)])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def andThen[A](g: (Seq[QualityScore]) ⇒ A): (DecadentRead) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

5. #### def apply(read: DecadentRead): Seq[QualityScore]

   Definition Classes
     RecalibrationTable → Function1

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def compose[A](g: (A) ⇒ DecadentRead): (A) ⇒ Seq[QualityScore]

   Definition Classes
     Function1
   Annotations
     @unspecialized()

9. #### def computeExtrasDelta(maybeQualityEntry: Option[(Aggregate, ExtrasTables)], residueIndex: Int, extraValues: IndexedSeq[Seq[Option[Value]]], offset: Double): Double

10. #### def computeGlobalDelta(globalEntry: Option[(Aggregate, QualityTable)]): Double

11. #### def computeQualityDelta(qualityEntry: Option[(Aggregate, ExtrasTables)], offset: Double): Double

12. #### val covariates: CovariateSpace

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def getExtraValues(read: DecadentRead): IndexedSeq[Seq[Option[Value]]]

18. #### def getQualityEntry(quality: QualityScore, globalEntry: Option[(Aggregate, QualityTable)]): Option[(Aggregate, ExtrasTables)]

19. #### val globalTable: Map[String, (Aggregate, QualityTable)]

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### def lookup(residueWithIndex: (Residue, Int), globalEntry: Option[(Aggregate, QualityTable)], globalDelta: Double, extraValues: IndexedSeq[Seq[Option[Value]]]): QualityScore

23. #### val maxLogP: Double

24. #### val maxQualScore: QualityScore

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def qualityFromLogP(logP: Double): QualityScore

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from (DecadentRead) ⇒ Seq[QualityScore]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped